Subject: [Gimp-gui] GIMP wiki

From: Andrew Pullins <[email-masked]>
Date: Wed, 14 Oct 2015 19:47:04 -0400

Hello,

On 2015-10-09 15:48, Pat David wrote:

> I'd agree that the wiki is possibly the best place to flesh these
> ideas out with history and more flexibility to utilize images and
> media to demonstrate our ideas (a big + when dealing with some of the
> concepts I'm sure will come to light).

The DocumentFoundation has a very nice wiki
<https://wiki.documentfoundation.org/Main_Page> set up for LibreOffice.
All the main pages have this header at the top that makes navigation much
easier.  I particurly like how their Design team's
<https://wiki.documentfoundation.org/Design> pages are set up.

each project that the design team is working on gets put on the Whiteboard
<https://wiki.documentfoundation.org/Design/Whiteboards> page.  Each
project has the same format based on this Default_Template
<https://wiki.documentfoundation.org/Design/Whiteboards/Default_Template>.

   - 1 Summary - short description of the project.
      - 1.1 Status -  Analysis, Call for Proposals, Shaping Tentative
      Design, Blueprint, Implemented
      - 1.2 Scope - clear definition of what is in and out of scope for
      this project.
   - 2 Discussion - Any email archive or IRC chat log regarding this
   project.
   -
      - 3 Proposals - This is where each person that has input writes down
      their idea.
      -
         -
            - 4 Relevant Art - Any outside sources that might be
relevant, mostly
      images and webpages explaining how an app works.  For GIMP this could be
      images of Inkscape, Mypaint, Krita, Alchemy, Photoshop,
Illustrator, corel
      painter etc.
      -

The five stages in this process:
Analysis -  just about analying the problem and gathering all needed
information.
Call for Proposals - this is when more people get involved and start making
up their proposals.
Shaping Tentative Design - the design is almost done but it is still up in
the air for debate.
Blueprint - (it has been a while since I last contributed to the
LibreOffice Design Team, and I have not personally seen a project get to
this new stage) I think it means that the design is "finished" and is
waiting for a developer to pick it up and start working on it.
Implemented - the feature has been fully implemented.

This system works very well in the LibreOffice community perhaps it could
hep out the GIMP gui team.

--
Jesus is my Lord and Savior. Praise be unto God for giving us a way to live
with him.

<https://www.facebook.com/android272>
<https://plus.google.com/u/0/113439282950133616549/posts>
<http://www.linkedin.com/pub/andrew-pullins/6a/2b3/366>
<https://twitter.com/android272>  <http://android272.deviantart.com/>

---

From: Jehan <[email-masked]>
Date: Thu, 15 Oct 2015 13:15:07 +0200

Hi,

On 2015-10-15 01:47, Andrew Pullins wrote:
> The DocumentFoundation has a very nice wiki [1] set up for
> LibreOffice.  All the main pages have this header at the top that
> makes navigation much easier.  I particurly like how their Design
> team's [2] pages are set up.

I have started to work on a template, though it's kind of ugly. I 
noticed that the cool templates used in mediawiki projects are usually 
based on existing modules (allowing us not to reinvent the wheel in html 
and css).
In any case, you are right. This is in my plan to have some templates 
allowing us to document pages and work status in a single glimpse.

> each project that the design team is working on gets put on the
> Whiteboard [3] page.  Each project has the same format based on this
> Default_Template [4].
> 
> 	* 1 Summary - short description of the project.
> 
> 	* 1.1 Status -  Analysis, Call for Proposals, Shaping Tentative
> 	* 1.2 Scope - clear definition of what is in and out of scope for
> this project.
> 
> 	* 2 Discussion - Any email archive or IRC chat log regarding this
> project.
> 
> 	*
> 
> 	* 3 Proposals - This is where each person that has input writes down
> their idea.
> 
> 	*
> 
> 	*
> 
> 	* 4 Relevant Art - Any outside sources that might be relevant, mostly
> images and webpages explaining how an app works.  For GIMP this could
> be images of Inkscape, Mypaint, Krita, Alchemy, Photoshop,
> Illustrator, corel painter etc.
> 	*
> 
> Call for Proposals - this is when more people get involved and start
> making up their proposals.
> Shaping Tentative Design - the design is almost done but it is still
> up in the air for debate.
> LibreOffice Design Team, and I have not personally seen a project get
> to this new stage) I think it means that the design is "finished" and
> is waiting for a developer to pick it up and start working on it.
> This system works very well in the LibreOffice community perhaps it
> could hep out the GIMP gui team.

Yes, we need a good procedure to bring new ideas into spec (or reject 
them when needed). I have quickly written a page the other day: 
http://gui.gimp.org/index.php/Procedure_for_Specifications
As you can see, this is just a very raw start and I am welcoming help to 
make a real good process.

Jehan

> --
> 
> Jesus is my Lord and Savior. Praise be unto God for giving us a way to
> live with him.
> 
>  [5]  [6]  [7]  [8]  [9]
> 
> 
> Links:
> ------
> [1] https://wiki.documentfoundation.org/Main_Page
> [2] https://wiki.documentfoundation.org/Design
> [3] https://wiki.documentfoundation.org/Design/Whiteboards
> [4] 
> https://wiki.documentfoundation.org/Design/Whiteboards/Default_Template
> [5] https://www.facebook.com/android272
> [6] https://plus.google.com/u/0/113439282950133616549/posts
> [7] http://www.linkedin.com/pub/andrew-pullins/6a/2b3/366
> [8] https://twitter.com/android272
> [9] http://android272.deviantart.com/
> 
> _______________________________________________
> gimp-gui-list mailing list
> [email-masked]
> https://mail.gnome.org/mailman/listinfo/gimp-gui-list